> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aegister.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Recupera la tassonomia degli incidenti

> Recupera la tassonomia di classificazione usata per gli incidenti.



## OpenAPI

````yaml get /api/v1/v-ciso/incidents/taxonomy
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.5
servers: []
security: []
paths:
  /api/v1/v-ciso/incidents/taxonomy:
    get:
      tags:
        - v-ciso
      summary: Get incident taxonomy
      description: >-
        Retrieve the incident taxonomy, optionally filtered by predicate and
        search query.
      operationId: v_ciso_incidents_taxonomy_retrieve
      parameters:
        - in: query
          name: predicate
          schema:
            type: string
          description: Filter taxonomy by predicate.
        - in: query
          name: q
          schema:
            type: string
          description: Search query within the predicate entries.
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  data:
                    type: object
                    description: Taxonomy data or filtered entries.
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````